Retrieve a customer-owned triage
Returns a resource owned by the authenticated customer. Resources owned by another customer are indistinguishable from missing resources. GET does not perform POST’s entitlement check and adds no Usage metadata.
GET
/
v1
/
product-claims
/
{id}
Retrieve a customer-owned triage
curl --request GET \
--url https://api.thewo.io/v1/product-claims/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.thewo.io/v1/product-claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "completed",
"input": {
"claimDomain": "physical_product",
"claimType": "warranty",
"product": {
"name": "<string>",
"model": "<string>",
"serialNumber": "<string>",
"category": "<string>",
"manufacturer": "<string>",
"externalProductId": "<string>"
},
"purchaseDocumentSupplied": true,
"issue": {
"description": "<string>"
},
"evidenceSupplied": true,
"evidenceTypes": [
"image"
],
"policyDocumentSupplied": true,
"purchase": {
"purchasedAt": "2023-12-25",
"seller": "<string>",
"externalOrderId": "<string>",
"amount": {
"minorUnits": 123,
"currency": "<string>"
}
},
"policy": {
"policyType": "warranty",
"externalPolicyId": "<string>",
"version": "<string>",
"text": "<string>",
"warrantyWindowDays": 4503599627370495,
"returnWindowDays": 4503599627370495,
"conditions": [
"<string>"
],
"exclusions": [
"<string>"
],
"requiredEvidence": [
"proof_of_purchase"
]
},
"language": "en"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"result": {
"claimType": "warranty",
"apparentEligibility": "potentially_eligible",
"reviewDisposition": "review_ready",
"policyMatches": [
{
"code": "purchase_inside_warranty_window",
"status": "satisfied",
"description": "<string>"
}
],
"missingEvidence": [
{
"code": "proof_of_purchase",
"description": "<string>"
}
],
"riskFlags": [
{
"code": "evidence_inconsistent"
}
],
"suggestedNextStep": {
"code": "request_proof_of_purchase",
"explanation": "<string>"
},
"confidence": 0.5
}
}
Authorizations
Path Parameters
⌘I
Retrieve a customer-owned triage
curl --request GET \
--url https://api.thewo.io/v1/product-claims/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.thewo.io/v1/product-claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "completed",
"input": {
"claimDomain": "physical_product",
"claimType": "warranty",
"product": {
"name": "<string>",
"model": "<string>",
"serialNumber": "<string>",
"category": "<string>",
"manufacturer": "<string>",
"externalProductId": "<string>"
},
"purchaseDocumentSupplied": true,
"issue": {
"description": "<string>"
},
"evidenceSupplied": true,
"evidenceTypes": [
"image"
],
"policyDocumentSupplied": true,
"purchase": {
"purchasedAt": "2023-12-25",
"seller": "<string>",
"externalOrderId": "<string>",
"amount": {
"minorUnits": 123,
"currency": "<string>"
}
},
"policy": {
"policyType": "warranty",
"externalPolicyId": "<string>",
"version": "<string>",
"text": "<string>",
"warrantyWindowDays": 4503599627370495,
"returnWindowDays": 4503599627370495,
"conditions": [
"<string>"
],
"exclusions": [
"<string>"
],
"requiredEvidence": [
"proof_of_purchase"
]
},
"language": "en"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"result": {
"claimType": "warranty",
"apparentEligibility": "potentially_eligible",
"reviewDisposition": "review_ready",
"policyMatches": [
{
"code": "purchase_inside_warranty_window",
"status": "satisfied",
"description": "<string>"
}
],
"missingEvidence": [
{
"code": "proof_of_purchase",
"description": "<string>"
}
],
"riskFlags": [
{
"code": "evidence_inconsistent"
}
],
"suggestedNextStep": {
"code": "request_proof_of_purchase",
"explanation": "<string>"
},
"confidence": 0.5
}
}